Package de.willuhn.jameica.hbci.server

# Class DBPropertyUtil.HBCITypedProperties

java.lang.Object
java.util.Dictionary<Object,Object>
java.util.Hashtable<Object,Object>
java.util.Properties
de.willuhn.util.TypedProperties
de.willuhn.jameica.hbci.server.DBPropertyUtil.HBCITypedProperties

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Map<Object,Object>`

Enclosing class:
  `DBPropertyUtil`

public static class DBPropertyUtil.HBCITypedProperties extends de.willuhn.util.TypedProperties
Ueberschrieben, weil boolsche Werte in den BPD mit "J","N" statt "true","false" gespeichert sind.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.Properties

`defaults`

## Constructor Summary

Constructors
Constructor
Description
`HBCITypedProperties()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getBoolean(String name, boolean defaultValue)`

### Methods inherited from class de.willuhn.util.TypedProperties

`getDouble, getInt, getList, getLong, getString, setBoolean, setDouble, setInt, setList, setLong`

### Methods inherited from class java.util.Properties

`clear, clone, compute, computeIfAbsent, computeIfPresent, contains, containsKey, containsValue, elements, entrySet, equals, forEach, get, getOrDefault, getProperty, getProperty, hashCode, isEmpty, keys, keySet, list, list, load, load, loadFromXML, merge, propertyNames, put, putAll, putIfAbsent, rehash, remove, remove, replace, replace, replaceAll, save, setProperty, size, store, store, storeToXML, storeToXML, storeToXML, stringPropertyNames, toString, values`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### HBCITypedProperties

public HBCITypedProperties()

## Method Details

### getBoolean

public boolean getBoolean(String name, boolean defaultValue)

Overrides:
  `getBoolean` in class `de.willuhn.util.TypedProperties`
See Also:
  - `TypedProperties.getBoolean(java.lang.String, boolean)`